import request from '@/utils/request'
import config from '@/utils/config'
export function getChangBanners() {
  return request({
    url: config.BASE_URL + '/getChangBanners',
    method: 'get'
  })
}
export function cleanBanner(query) {
  return request({
    url: config.BASE_URL + '/cleanBanner',
    method: 'get',
    params: query
  })
}
export function updateBanner(query) {
  return request({
    url: config.BASE_URL + '/updateBanner',
    method: 'POST',
    params: query
  })
}
export function queryWXDianPings(query) {
  return request({
    url: config.BASE_URL + '/queryWXDianPings',
    method: 'POST',
    params: query
  })
}
export function deleteWXDianPing(query) {
  return request({
    url: config.BASE_URL + '/deleteWXDianPing',
    method: 'POST',
    params: query
  })
}
export function deleteWXDianPingImage(query) {
  return request({
    url: config.BASE_URL + '/deleteWXDianPingImage',
    method: 'POST',
    params: query
  })
}
export function insertWXDianPing(query) {
  return request({
    url: config.BASE_URL + '/insertWXDianPing',
    method: 'POST',
    data: query,
    dataType: 'json',
    contentType: 'application/json'
  })
}
export function getWXDianPingsByID(query) {
  return request({
    url: config.BASE_URL + '/getWXDianPingsByID',
    method: 'POST',
    params: query
  })
}
export function getWXDianPingImages(query) {
  return request({
    url: config.BASE_URL + '/getWXDianPingImages',
    method: 'POST',
    params: query
  })
}
export function updateWXDianPing(query) {
  return request({
    url: config.BASE_URL + '/updateWXDianPing',
    method: 'POST',
    data: query,
    dataType: 'json',
    contentType: 'application/json'
  })
}
export function queryWXContents(query) {
  return request({
    url: config.BASE_URL + '/queryWXContents',
    method: 'POST',
    params: query
  })
}
export function getWXContentTypes() {
  return request({
    url: config.BASE_URL + '/getWXContentTypes',
    method: 'POST'
  })
}
export function deleteWXContent(query) {
  return request({
    url: config.BASE_URL + '/deleteWXContent',
    method: 'POST',
    params: query
  })
}
export function insertWXContent(query) {
  return request({
    url: config.BASE_URL + '/insertWXContent',
    method: 'POST',
    params: query
  })
}
export function updateWXContent(query) {
  return request({
    url: config.BASE_URL + '/updateWXContent',
    method: 'POST',
    params: query
  })
}
export function getWXContentByID(query) {
  return request({
    url: config.BASE_URL + '/getWXContentByID',
    method: 'POST',
    params: query
  })
}
export function queryWXMMUserSearchs(query) {
  return request({
    url: config.BASE_URL + '/queryWXMMUserSearchs',
    method: 'POST',
    params: query
  })
}
export function getWXMMUserSearchDetailByQID(query) {
  return request({
    url: config.BASE_URL + '/getWXMMUserSearchDetailByQID',
    method: 'GET',
    params: query
  })
}
export function getAllMkt() {
  return request({
    url: config.BASE_URL + '/getAllMkt',
    method: 'GET'
  })
}

